/* Booking Area Design */
/* ------share------------------------------------------------------------ */
.show-share {
	position: absolute;
	left: 0;
	bottom: 0;
	width: 80px;
	height: 80px;
	z-index: 100;
	color: #fff;
	font-size: 22px;
	line-height: 80px;
	background: #3C3C3C;
	cursor: pointer;
}
.contact-btn i,
.show-share i {
	-webkit-box-reflect: below 0px -webkit-gradient(linear, left top, left bottom, from(transparent), color-stop(50%, transparent), to(rgba(250, 250, 250, 0.4)));
}
.show-share.clshbt i:before {
	content: "\f00d"
}
.show-share span,
.contact-btn span {
	position: absolute;
	height: 50px;
	line-height: 50px;
	left: 0;
	top: -50px;
	padding: 0 30px;
	font-size: 10px;
	text-transform: uppercase;
	letter-spacing: 2px;
	min-width: 150px;
	background: #2D2D32;
	margin-top: -20px;
	opacity: 0;
	visibility: hidden;
	-webkit-transition: all 300ms linear;
	transition: all 300ms linear;
}
.contact-btn span {
	left: inherit;
	right: 0;
	top: 80px;
	margin-top: 10px;
}
.show-share:hover span,
.contact-btn:hover span {
	margin-top: 0;
	opacity: 1;
	visibility: visible;
}
.share-wrapper {
	position: fixed;
	/* top: 37px; */
	left: 80px;
	right: 0;
	height: 100%;
	z-index: 100;
	display: none;
	-webkit-transform: translate3d(0, 0, 0);
}
.share-wrapper:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 0;
	height: 100%;
	z-index: 1;
	opacity: 1;
	background: #252425;
	-webkit-transition: all 300ms linear;
	transition: all 300ms linear;
}
.share-wrapper:after {
	content: '';
	position: absolute;
	top: 0;
	right: 0;
	width: 0;
	height: 100%;
	z-index: 1;
	opacity: 0.4;
	background: #252425;
	-webkit-transition: all 300ms linear;
	transition: all 300ms linear;
}
.share-wrapper.invis-share:after {
	width: 50%;
}
.share-wrapper.invis-share:before {
	width: 50%
}
.soa {
	margin-top: -50px;
	opacity: 0;
	-webkit-transition: all 300ms linear;
	transition: all 300ms linear;
}
.soavis {
	margin-top: 0;
	opacity: 1;
}
.share-title {
	position: absolute;
	top: 94%;
	left: 100px;
	z-index: 2;
	display: none;
}
.share-title span {
	float: left;
	position: relative;
	opacity: 0.2;
	min-height: 300px;
	text-transform: uppercase;
	font-weight: 900;
	font-size: 124px;
	-webkit-transform: rotate(-90deg);
	-moz-transform: rotate(-90deg);
	-o-transform: rotate(-90deg);
	-ms-transform: rotate(-90deg);
	transform: rotate(-90deg);
	-webkit-transform-origin: left top;
	-ms-transform-origin: left top;
	-moz-transform-origin: left top;
	-o-transform-origin: left top;
	transform-origin: left top;
	color: #fff;
}
.share-inner {
	position: absolute;
	top: 0;
	left: 0;
	padding-left: 100px;
	width: 83%;
	height: 100%;
	z-index: 3;
}
.share-inner:before {
	/* content: ''; */
	position: absolute;
	bottom: 0;
	right: 20%;
	width: 50%;
	height: 18%;
	background: rgba(255, 255, 255, 0.05)
}
.close-share {
	position: absolute;
	right: 51%;
	top: 10px;
	margin-right: 0;
	z-index: 10;
	cursor: pointer;
	padding: 10px 30px;
	border: 1px solid rgba(255, 255, 255, 0.21);
}
.close-share i {
	font-size: 26px;
	color: #fff;
}
.close-share span {
	color: rgba(255, 255, 255, 0.91);
	font-weight: 600;
	text-transform: uppercase;
	font-size: 10px;
	letter-spacing: 4px;
	position: relative;
	float: left;
	padding-right: 30px;
	top: 6px;
}
.share-container {
	margin-top: 0;
	z-index: 100;
	float: left;
	width: 50%;
	position: relative;
	top: 8%;
}
.share-container .share-icon {
	float: left;
	width: 100%;
	margin-bottom: 60px;
	position: relative;
	text-align: left;
	-webkit-transition: all .2s ease-in-out;
	transition: all .2s ease-in-out;
}
.share-icon:after {
	position: absolute;
	bottom: -40px;
	left: 0;
	width: 100%;
	color: rgba(255, 255, 255, 0.91);
	font-weight: 600;
	text-transform: uppercase;
	font-size: 12px;
	letter-spacing: 4px;
	-webkit-transition: all .4s ease-in-out;
	transition: all .4s ease-in-out;
}
.share-container .share-icon:hover:after {
	color: rgba(255, 255, 255, 0.41);
	text-decoration: underline;
}
.share-icon-digg:after {
	content: "digg";
}
.share-icon-email:after {
	content: "email";
}
.share-icon-flickr:after {
	content: "flickr";
}
.share-icon-foursquare:after {
	content: "foursquare";
}
.share-icon-rss:after {
	content: "rss";
}
.share-icon-facebook:after {
	content: "facebook";
}
.share-icon-twitter:after {
	content: "twitter";
}
.share-icon-tumblr:after {
	content: "tumblr";
}
.share-icon-linkedin:after {
	content: "linkedin";
}
.share-icon-vimeo:after {
	content: "vimeo";
}
.share-icon-instagram:after {
	content: "instagram";
}
.share-icon-pinterest:after {
	content: "pinterest";
}
.share-icon-googleplus:after {
	content: "googleplus";
}
.share-icon-in1:after {
	content: "in1";
}
.share-icon-stumbleupon:after {
	content: "stumbleupon";
}




/* calendar style */
.menu_calendar h2{
    font-size: 45px;
    font-family: "Titillium Web", sans-serif;
    font-weight: 800;
    line-height: 1.1;
    color: #ffffff;
}

.menu_calendar .fc button {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    margin-left: 0px;
    height: 2.1em;
    padding: 0 .6em;
    white-space: nowrap;
    cursor: pointer;
}

.menu_calendar .btn.disabled, .menu_calendar .btn[disabled], .menu_calendar fieldset[disabled] .btn {
    cursor: not-allowed;
    opacity: 0.65;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
}

.menu_calendar .fc button, .menu_calendar .fc table, .menu_calendar body .fc {
    font-size: 1em !important;
}
.menu_calendar .btn {
    position: relative;
    margin-top: 10px;
    font-size: 1em;
    font-weight: 600;
    letter-spacing: 4px;
    -webkit-transition: all 200ms linear;
    transition: all 200ms linear;
    text-transform: uppercase;
    border-radius: 4px;
    text-shadow: 1px 1px 2px rgba(150, 150, 150, 0.36);
    background: #383738;
    color: white;
    border:  none;
}

.menu_calendar .btn:hover{
    background: #383738;
    color: white;
}


.menu_calendar table, .menu_calendar table thead tr, .menu_calendar table thead, .menu_calendar table thead td{
    border:  1px solid rgba(0, 0, 0, 0);
}

.menu_calendar table thead tr th,
.menu_calendar table tbody tr td{
    border:  1px solid rgba(32, 17, 17, 0.16);
}

.menu_calendar table thead tr th{
    background: #181818;
    color:#f0f0f0;
    font-size:  15px;
}

.menu_calendar table tbody tr td{
    background: #252425;
    color: white;
    font-size: 15px;
    font-family: "Titillium Web", sans-serif;
    cursor: pointer;
}

.fc-ltr .fc-basic-view .fc-day-top .fc-day-number {
    float: right;
    font-size: 39px;
    font-weight: 700;
}

.menu_calendar .fc-bg table tbody tr td.fc-today.holiday,
.menu_calendar .fc-bg table tbody tr td.fc-future.holiday{
    background: #444444;
}
.menu_calendar .fc-bg table tbody tr td.fc-today.housefull,
.menu_calendar .fc-bg table tbody tr td.fc-future.housefull{
    background: #444444;
}

.menu_calendar .fc-bg table tbody tr td.fc-today.available,
.menu_calendar .fc-bg table tbody tr td.fc-future.available{
    background: #444444;
}

.menu_calendar .fc-bg table tbody tr td.fc-today.particial,
.menu_calendar .fc-bg table tbody tr td.fc-future.particial{
    background: #444444;
}

.menu_calendar .fc-bg table tbody tr td.fc-today,
.menu_calendar .fc-bg table tbody tr td.fc-future{
    background: #444;
    color:white;
    transition: .5s;
}

/* Hover date */
/* .menu_calendar .fc-bg table tbody tr td.fc-today:hover,
.menu_calendar .fc-bg table tbody tr td.fc-future:hover,
.menu_calendar .fc-content-skeleton table tbody tr td.fc-today:hover,
.menu_calendar .fc-content-skeleton table tbody tr td.fc-future:hover{
    background: white;
    color: black;
} */


.menu_calendar table tbody tr td.fc-past{
    cursor: not-allowed;
    background: #252425;
    color: #f0f0f054;
}



/* Calendar agenda dsing */
.calendar-agenda{
    margin-top: 10px;
}
.calendar-agenda ul li{
    float: left;
    color: white;
    margin-left: 20px;
}
.calendar-agenda ul li:first-child{
    margin-left: unset;
}
.calendar-agenda ul li::before{
    content: ' ';
    border-right: 10px solid #252425;
    border-left: 8px solid #252425;
}

.calendar-agenda ul li.available::before{
    border-color: green;
}

.calendar-agenda ul li.half-day::before{
    border-color: red;
}
.calendar-agenda ul li.housefull_day::before{
    border-color: #5b040d;
}

.calendar-agenda ul li.holiday::before{
    border-color: red;
}

.calendar-agenda ul li b{
    padding-left: 4px;
}


/* calendar loading icon */
.calendar-loading-parent{
    position: relative;
}
.calendar-loading{
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    display: -webkit-flex;
    display: -moz-flex;
    align-items: center; 
    justify-content: center;
    z-index: 99999;

    background: linear-gradient(to top, #00000004, #25242554, transparent),
    linear-gradient(to right, #00000000, #2524254f, transparent),
    linear-gradient(to bottom, #00000000, #25242548, transparent ),
    linear-gradient(to left, #00000000, #25242557, transparent); 
}
.calendar-loading div{
    text-align: center;
}
.calendar-loading i{
    color: white;
    font-size: 30px;
}

.calendar-loading h5{
    color: white;
    font-size: 20px;
}

/* 1420 */
@media (min-width: 1337px) and (max-width: 1420px){
    /* booking Enging */
    /* booking calendar area */
    .share-wrapper.invis-share:after {
        width: 30%;
    }
    .share-wrapper.invis-share:before {
        width: 70%
    }

    .close-share {
        right: 31%;
        top: 10px;
        padding: 10px 15px;
    }

    .share-inner {
        width: 100%;
    }
    
    /* calendar */
    .booking-calendar-box .share-title{
        display: none;
    }

    .booking-calendar-box .share-inner {
        padding-left: 100px !important;
    }
    .booking-calendar-box .share-container{
        top: 2% !important;
        width: 55% !important;
    }
}/* 1420 */

/* 1336 */
@media (min-width: 1200px) and (max-width: 1336px){
    
    /* booking Enging */
    /* booking calendar area */
    .share-wrapper.invis-share:after {
        width: 20%;
    }
    .share-wrapper.invis-share:before {
        width: 80%
    }

    .close-share {
        right: 21%;
        top: 10px;
        padding: 10px 15px;
    }

    .share-inner {
        width: 100%;
    }
    
    /* calendar */
    .booking-calendar-box .share-title{
        display: none;
    }

    .booking-calendar-box .share-inner {
        padding-left: 100px !important;
    }
    .booking-calendar-box .share-container{
        width: 65% !important;
    }
}/* 1336 */

/* 993 */
@media (min-width: 992px) and (max-width: 1199px){

    /* booking calendar area */
    .share-wrapper.invis-share:after {
        width: 20%;
    }
    .share-wrapper.invis-share:before {
        width: 80%
    }

    .close-share {
        right: 21%;
        top: 10px;
        padding: 10px 15px;
    }

    .share-inner {
        width: 100%;
    }


    /* caledarn dsign */
    .booking-calendar-box .share-title{
        display: none;
    }

    .booking-calendar-box .share-inner {
        padding-left: 100px !important;
    }
    .booking-calendar-box .share-container{
        width: 68% !important;
        top: 9% !important;
    }
}/* 993 */

/* 768 */
@media (min-width: 768px) and (max-width: 991px){
    /* booking calendar area */
    .share-inner {
        width: 100%;
    }


    /* caledarn dsign */
    .fc-ltr .fc-basic-view .fc-day-top .fc-day-number{
        font-size: 28px;
    }
    
    .booking-calendar-box .share-title{
        display: none;
    }

    .booking-calendar-box .close-share{
        display: none !important;
    }

    .booking-calendar-box .share-inner {
        padding-left: 100px !important;
    }
    .booking-calendar-box .share-container{
        width: 92% !important;
        top: 9% !important;
    }
}/* 768 */


/* 576 */
@media (min-width: 576px) and (max-width: 767px){

    /* booking calendar area */
    .share-inner {
        width: 100%;
    }


    /* caledarn dsign */
    .fc-ltr .fc-basic-view .fc-day-top .fc-day-number{
        font-size: 24px;
    }

    .booking-calendar-box .share-title{
        display: none;
    }

    .booking-calendar-box .close-share{
        display: none !important;
    }

    .booking-calendar-box .share-inner {
        padding-left: 100px !important;
    }
    .booking-calendar-box .share-container{
        width: 97% !important;
        top: 9% !important;
    }

    .fc-content .fc-title{
        font-size: 5px;
    }
}/* 576 */

/* 0 */
@media (min-width: 0px) and (max-width: 575px){

    /* booking calendar area */
    .share-inner {
        width: 100%;
    }


    /* calendar design */
    .fc-ltr .fc-basic-view .fc-day-top .fc-day-number{
        font-size: 24px;
    }

    .booking-calendar-box .share-title{
        display: none;
    }

    .booking-calendar-box .close-share{
        display: none !important;
    }

    .booking-calendar-box .share-inner {
        padding: 10px !important;

    }
    .booking-calendar-box .share-container{
        width: 100% !important;
        top: 5% !important;
    }


    .menu_calendar h2 {
        font-size: 38px;
    }

    .fc-content .fc-title{
        font-size: 7px;
    }



}/* 0 */